use clap::Parser;
use std::path::PathBuf;

#[derive(Parser, Debug)]
#[command(author, version, about, long_about = None)]
pub struct Args {
    /// Path to the input JSON configuration file.
    #[arg(short, long)]
    pub input: PathBuf,

    /// Path to the output directory for downloaded rule files.
    #[arg(short, long)]
    pub output: PathBuf,

    /// Number of concurrent download operations.
    #[arg(long, default_value_t = 10)]
    pub concurrency: usize,

    /// Increase logging verbosity. Can be used multiple times (e.g., -v, -vv).
    #[arg(short, long, action = clap::ArgAction::Count)]
    pub verbose: u8,
}
